Welcome, Guest
Username: Password: Remember me
לא מצליח להתקין ג'ומלה? רוצה לדעת איך מעלים אתר ב-FTP? מנסה לשדרג ולא מצליח? כאן זה המקום...
  • דף:
  • 1
  • 2

TOPIC: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה

ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #1

גרסה 1.7.1 של ג'ומלה שוחררה אתמול רשמית.
אז ניצלתי את ההזדמנות לבדוק איך עובד שדרוג הגרסאות המובנה בתוך ג'ומלה 1.7.
שורה תחתונה - עובד! בשתי לחיצות כפתור, המערכת מורידה את חבילת הקבצים הרלוונטית מאתר ג'ומלה ישירות לאתר שלכם, ומבצעת פריסה אוטומטית של הקבצים.
ביצעתי בדיקה על אתר שרץ מקומית על Wamp, על אתר לנסיון כמעט ריק מתוכן והרחבות, תהליך השדרוג לקח כשתי דקות, פשוט וקל.

כדי לבצע את השדרוג המובנה יש לבצע את הפעולות הבאות:
1. היכנסו לפאנל הניהול.
2. עברו למנהל ההרחבות / extensions manager.
3. עיברו לטאב שדרוג / update.
4. ליחצו על כפתור גלה / find updates.
5. אם הכל תקין, המערכת תציג שורה עם עדכון לגרסה 1.7.1.
6. סמנו את התיבה בשורה המוצגת וליחצו על כפתור עדכן / update.
7. חכו מספר דקות בסבלנות לסיום התהליך.

אני אישית מאוד אוהב שהכניסו את התכונה הזו למערכת, חוסך התעסקות מיותרת עם הורדות/העלאות/פריסות ידניות על השרת, ומהווה צעד נוסף בלהפוך את ג'ומלה למערכת קלה יותר לתחזוקה.
נקודה לשיפור לטעמי - חסר פידבק למשתמש בזמן השדרוג, איזה שהוא בר התקדמות של הורדה או פריסה היה יכול להפוך את התהליך לנחמד יותר.

בהצלחה למשדרגים.
  • itzik_harel
  • itzik_harel's Avatar
  • מנותקים
  • מנהל
  • Posts: 369
  • Thank you received: 63
  • קארמה: 20
עריכה אחרונה: 10 שנים 10 ם ago מאת itzik_harel.
המנהל ביטל גישת כתיבה ציבורית.
המשתמשים הבאים אמרו לך תודה: אלעד, yehudaeitam, oc666

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #2

אני מנסה לעדכן וכשאני לוחץ על חיפוש עדכונים אני מקבל שגיאה:
JLIB_UPDATER_ERROR_COLLECTION_FOPEN
ולא מופיע לי העדכון.
מישהו אולי יודע מה הבעייה?!
תודה רבה
  • yehudaeitam
  • yehudaeitam's Avatar
  • מנותקים
  • דייר זהב
  • Posts: 771
  • Thank you received: 50
  • קארמה: 10
This e-mail address is being protected from spambots. You need JavaScript enabled to view it.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #3

yehudaeitam wrote:
מישהו אולי יודע מה הבעייה?!
תודה רבה
אתה מנסה לשדרג אתר "חי" או אתר על שרת מקומי?
  • itzik_harel
  • itzik_harel's Avatar
  • מנותקים
  • מנהל
  • Posts: 369
  • Thank you received: 63
  • קארמה: 20
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #4

שרת מקומי (WAMP).
  • yehudaeitam
  • yehudaeitam's Avatar
  • מנותקים
  • דייר זהב
  • Posts: 771
  • Thank you received: 50
  • קארמה: 10
This e-mail address is being protected from spambots. You need JavaScript enabled to view it.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #5

yehudaeitam wrote:
שרת מקומי (WAMP).
צריך לאפשר את אחד ההרחבות של PHP כדי שזה יעבוד.
לחץ על האייקון של Wamp, ואז על PHP, אח"כ PHP Settings, וודא כי יש V ליד allow url fopen.
ונסה שוב.
  • itzik_harel
  • itzik_harel's Avatar
  • מנותקים
  • מנהל
  • Posts: 369
  • Thank you received: 63
  • קארמה: 20
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #6

עובד כמו שעון! :)
שודרג בתוך שניות ( yaad.org.il/yael-ma.co.il/ )
  • gilk
  • gilk's Avatar
  • מנותקים
  • דייר ותיק
  • Posts: 101
  • Thank you received: 4
  • קארמה: 0
עריכה אחרונה: 10 שנים 10 ם ago מאת gilk.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #7

פתרתי את הבעייה אבל עכשיו יש לי שגיאה שהקובץ גדול יותר מהגודל שמותר להעלות ע"פ ההגדרות של הPHP אבל זה מוזר כי הוא אומר שמותר עד 120 מ"ב בערך (אם אני לא טועה) והוא מנסה להעלות 7 מ"ב.
מה אפשר לעשות?!
  • yehudaeitam
  • yehudaeitam's Avatar
  • מנותקים
  • דייר זהב
  • Posts: 771
  • Thank you received: 50
  • קארמה: 10
This e-mail address is being protected from spambots. You need JavaScript enabled to view it.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #8

בדוק מה הערך של השדה הבא בקובץ php.ini:
post_max_size = 8M
בד"כ זה מגיע עם ערך ברירת מחדל של 2MB, אצלי אני שיניתי בעבר ל-8MB.
כדי לפתוח את הקובץ לחץ על האייקון של wamp (קליק שמאלי) -> PHP ואז php.ini.
חפש את הפרמטר post_max_size ושנה את ערכו בהתאם, שמור את הקובץ.
אחרי שינוי תצטרך לאתחל את wamp, קליק על האייקון ואז restart all services.
שנה טובה!
  • itzik_harel
  • itzik_harel's Avatar
  • מנותקים
  • מנהל
  • Posts: 369
  • Thank you received: 63
  • קארמה: 20
עריכה אחרונה: 10 שנים 10 ם ago מאת itzik_harel.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #9

כמובן! בזה טיפלתי כבר מזמן אך זה לא הבעייה.
השגיאה היא:
Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 7415439 bytes) in C:\wamp\www\1.7\libraries\joomla\filesystem\archive\zip.php on line 332
מה שמוזר פה שהוא כותב שמותר 134 מ"ב ושהוא מנסה 7 מ"ב.

תודה רבה
  • yehudaeitam
  • yehudaeitam's Avatar
  • מנותקים
  • דייר זהב
  • Posts: 771
  • Thank you received: 50
  • קארמה: 10
This e-mail address is being protected from spambots. You need JavaScript enabled to view it.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #10

הי יהודה
הגודל שמוצג בהודעת השגיאה הוא לא כמה מותר אלא כמה זיכרון מוקצה לשימוש של PHP.
בקובץ php.ini יש את החלק הבא:
;;;;;;;;;;;;;;;;;;;
; Resource Limits ;
;;;;;;;;;;;;;;;;;;;
 
max_execution_time = 30     ; Maximum execution time of each script, in seconds
max_input_time = 60	; Maximum amount of time each script may spend parsing request data
;max_input_nesting_level = 64 ; Maximum input variable nesting level
memory_limit = 128M      ; Maximum amount of memory a script may consume (128MB)
128MB הם המספר 134217728 בבתים (128 כפול 1024 כפול 1024), וזה אומר ש PHP השתמשה בכל הזיכרון שמותר לה להשתמש.
אם הגעת למצב כזה, כנראה שהיו לך הרבה שגיאות קודם במערכת שגרמו לזליגת זיכרון ב wamp, הייתי מנסה לאתחל את wamp, ואולי אפילו את כל המחשב, ולנסות לגשת ישר לתהליך השדרוג.
מעניין אם יש לך איזו הרחבה שגורמת לזליגה הזו או שזה נובע מהשדרוג ?!?!?
  • itzik_harel
  • itzik_harel's Avatar
  • מנותקים
  • מנהל
  • Posts: 369
  • Thank you received: 63
  • קארמה: 20
עריכה אחרונה: 10 שנים 10 ם ago מאת itzik_harel.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #11

מנסה לשדרג,
מקבל את השגיאה:
"-1 - התרחשה שגיאה.
Copy failed"

בדקתי הרשאות תיקיות - ניתנו לפי צורך המערכת,
ניסיתי להתקין דרך ניהול הרחבות אך גם, אותה שגיאה...

מישהו נתקל?

תודה
  • liav
  • liav's Avatar
  • מנותקים
  • דייר טרי
  • Posts: 8
  • קארמה: 0
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #12

אני רואה שהרבה קיבלו את זה לפי הפוסט בפורום העולמי:
forum.joomla.org/viewtopic.php?p=2630156
אבל אין שם פתרון.

תוכל, בבקשה, לתת לנו פרטים נוספים על הסביבה שלך.
  • oc666
  • oc666's Avatar
  • מנותקים
  • מנהל
  • Posts: 1027
  • Thank you received: 108
  • קארמה: 23
embAD-new way to insert ads to your website
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #13

תודה על התגובה,
סביבת לינוקס מערכת ניהול plask
php 5.3.3
SQL 5.0.77
joomla 1.7

עוד משהו שלא רשמתי?
  • liav
  • liav's Avatar
  • מנותקים
  • דייר טרי
  • Posts: 8
  • קארמה: 0
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #14

אני רואה שהבעיה נוצרת בקובץ libraries/joomla/filesystem/folder.php בשלב פעולת העתקה. לכן, אני עדיין חושב שזו בעיית הרשאות.
תיכנס לשורת פקודה וכנס לתיקייה של ג'ומלה בשרת. לאחר מכן תריץ את הפקודה הבאה:
chmod -R o+w .
תאמר לי בבקשה אם אתה מקבל שגיאות מהפקודה הזו. במידה ולא, נסה לאחר מכן לבצע את השדרוג. אם כן, תראה לנו את הפלט של הפקודה.
  • oc666
  • oc666's Avatar
  • מנותקים
  • מנהל
  • Posts: 1027
  • Thank you received: 108
  • קארמה: 23
embAD-new way to insert ads to your website
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #15

הצלחתי לשדרג בהצלחה.
אומנם בדרך היו לי 2 שגיאות ..אך הסתדרתי אך לבסוף הצליח.
בכל אופן...

האם אפשר להעלות גרסה עברית לג'ומלה 1.7.1 ?

(בלי קשר לכפתור השדרוג,פשוט אני מוריד ואוסף את כל הגרסאות בתיקיית המחשב שיהיה
לגיבוי מבלי שאזדקק להוריד שוב ושוב מהאינטרנט)
  • gddesign143
  • gddesign143's Avatar
  • מנותקים
  • דייר ותיק
  • Posts: 111
  • Thank you received: 4
  • קארמה: 0
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #16

gddesign143 wrote:
האם אפשר להעלות גרסה עברית לג'ומלה 1.7.1 ?
זה יהיה בקרוב.
אנחנו עסוקים מעל הראש בארגון כנס Joomla!Day ובגלל זה העיכוב. אעשה זאת במהלך השבוע הקרוב.
תודה על הסבלנות
  • oc666
  • oc666's Avatar
  • מנותקים
  • מנהל
  • Posts: 1027
  • Thank you received: 108
  • קארמה: 23
embAD-new way to insert ads to your website
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #17

הרצתי את הקוד, לא קיבלתי שום שגיאה אך עדין, בביצוע שדרוג אותה שגיאה של Copy failed
  • liav
  • liav's Avatar
  • מנותקים
  • דייר טרי
  • Posts: 8
  • קארמה: 0
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #18

liav wrote:
הרצתי את הקוד, לא קיבלתי שום שגיאה אך עדין, בביצוע שדרוג אותה שגיאה של Copy failed
נדמה כי ישנה בעיה בהורדה של קובץ העדכון מהשרתים של ג'ומלה.
האם ישנה הגבלה להעלאה לשרת הנ"ל?
  • oc666
  • oc666's Avatar
  • מנותקים
  • מנהל
  • Posts: 1027
  • Thank you received: 108
  • קארמה: 23
embAD-new way to insert ads to your website
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #19

itzik_harel wrote:
הי יהודה
הגודל שמוצג בהודעת השגיאה הוא לא כמה מותר אלא כמה זיכרון מוקצה לשימוש של PHP.
בקובץ php.ini יש את החלק הבא:
;;;;;;;;;;;;;;;;;;;
; Resource Limits ;
;;;;;;;;;;;;;;;;;;;
 
max_execution_time = 30     ; Maximum execution time of each script, in seconds
max_input_time = 60	; Maximum amount of time each script may spend parsing request data
;max_input_nesting_level = 64 ; Maximum input variable nesting level
memory_limit = 128M      ; Maximum amount of memory a script may consume (128MB)
128MB הם המספר 134217728 בבתים (128 כפול 1024 כפול 1024), וזה אומר ש PHP השתמשה בכל הזיכרון שמותר לה להשתמש.
אם הגעת למצב כזה, כנראה שהיו לך הרבה שגיאות קודם במערכת שגרמו לזליגת זיכרון ב wamp, הייתי מנסה לאתחל את wamp, ואולי אפילו את כל המחשב, ולנסות לגשת ישר לתהליך השדרוג.
מעניין אם יש לך איזו הרחבה שגורמת לזליגה הזו או שזה נובע מהשדרוג ?!?!?

מ'זתומרת כמות זיכרון מוקצה לPHP?! ואם אני אגדיל את זה, זה יעבוד?!
וזה כמות לכל השרת?! כי יש לי מלא אתרים סתם על הWAMP שסה"כ מותקנים עליהם עשרות תוספים, אולי זה בגלל זה?!
נראה לי שאני פשוט אתקין ידנית אבל מעניין אותי למה זה קורה...
  • yehudaeitam
  • yehudaeitam's Avatar
  • מנותקים
  • דייר זהב
  • Posts: 771
  • Thank you received: 50
  • קארמה: 10
This e-mail address is being protected from spambots. You need JavaScript enabled to view it.
המנהל ביטל גישת כתיבה ציבורית.

תשובה: ג'ומלה 1.7.1 שוחררה - הזדמנות לבדיקת השדרוג המובנה 10 שנים 10 ם ago #20

gddesign143 wrote:
האם אפשר להעלות גרסה עברית לג'ומלה 1.7.1 ?
העלינו גירסה עברית לג'ומלה 1.7.1 וחבילת שפה עבור ג'ומלה 1.7.1.
חבילת השפה כוללת מספר קבצים שנוספו ומספר תיקונים מינוריים.

ניתן למצוא את החבילות באיזור ההורדות באתר או ישירות במאגרים הרשמיים של ג'ומלה.
  • oc666
  • oc666's Avatar
  • מנותקים
  • מנהל
  • Posts: 1027
  • Thank you received: 108
  • קארמה: 23
embAD-new way to insert ads to your website
עריכה אחרונה: 10 שנים 10 ם ago מאת oc666.
המנהל ביטל גישת כתיבה ציבורית.
  • דף:
  • 1
  • 2
מפקחים: עמיחי דמארי
Time to create page: 0.320 seconds
Powered by Kunena